## eole-flag 2.7.2-12

=== Makefile ===
################################
# Makefile pour eole-flag
################################

SOURCE=eole-flag
VERSION=0.1
EOLE_VERSION=2.7
EOLE_RELEASE=2.7.2
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-flag (2.7.2-12) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [3f080bf] Mise en conformité du dictionnaire.
  * [6f794ff] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [c84c673] Benjamin Bohard: Update package since “debian/2.7.2-11”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Oct 2024 10:12:41 +0200

eole-flag (2.7.2-11) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [8bf17cd] Répercuter le changement de format d’horaire pour les événements calculés.
  * [d6d34cb] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [c505e06] Benjamin Bohard: Update package since “debian/2.7.2-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 17 Sep 2024 10:03:10 +0200

eole-flag (2.7.2-10) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [f756be3] unlink sort en erreur en cas d’absence du fichier.
  * [8ffa148] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [1714175] Benjamin Bohard: Update package since “debian/2.7.2-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 11 Sep 2024 15:39:32 +0200

eole-flag (2.7.2-9) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [46f6e0d] La fin de journée est identifiée par 24:00 plutôt que 00:00.
  * [6ed3cb2] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [550f045] Gestion de la dernière bascule les journées sans événement.
  * [35856f8] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [453bbbd] Benjamin Bohard: Update package since “debian/2.7.2-8”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 10 Sep 2024 16:47:01 +0200

eole-flag (2.7.2-8) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [5c0927d] La dernière bascule se fait à 00:00 le jour suivant.
  * [4ffddde] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [32313ec] Benjamin Bohard: Update package since “debian/2.7.2-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 09 Sep 2024 14:46:36 +0200

eole-flag (2.7.2-7) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [64bbf65] Prise en compte des étiquettes on/off
  * [da86b79] Correction de l’affichage de la commande display
  * [964a8d9] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [1e2577f] Benjamin Bohard: Update package since “debian/2.7.2-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 09 Sep 2024 14:26:30 +0200

eole-flag (2.7.2-6) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [8481753] Gérer le cas des journées sans événement et l’état en fin de jour.
  * [566c098] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [a37d14a] Dépendance sur le module icalendar pour le chargement des ics.

  [ EOLE Build Daemon ]
  * [3c680bb] Benjamin Bohard: Update package since “debian/2.7.2-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 22 Jul 2024 08:50:18 +0200

eole-flag (2.7.2-5) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [2430d4c] Méthode supprimée.
  * [4df94b3] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [35f8805] Benjamin Bohard: Update package since “debian/2.7.2-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 10 Jul 2024 15:31:04 +0200

eole-flag (2.7.2-4) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [dcd1e30] Mauvaise signature de méthode.
  * [9bc3543] La configuration n’est pas un argument optionnel.
  * [d80ebb2] Problème de version au milieu du guet.
  * [ca6d52a] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [518315d] Benjamin Bohard: Update package since “debian/2.7.2-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 Jul 2024 16:06:29 +0200

eole-flag (2.7.2-3) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [1dc0032] Dépendance non utilisée.
  * [88dc0dd] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [697a53e] Benjamin Bohard: Update package since “debian/2.7.2-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 Jul 2024 15:47:48 +0200

eole-flag (2.7.2-2) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [6976c3f] Ajouter des messages pour la journalisation.
  * [e43ac89] Sous-commande pour obtenir l’état d’un drapeau.
  * [0de1f48] Configuration de l’agent Zéphir pour l’état des drapeaux.
  * [135a79e] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [5eddf70] Benjamin Bohard: Update package since “debian/2.7.2-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 08 Jul 2024 10:45:30 +0200

eole-flag (2.7.2-1) eole-2.7.2-proposed-updates; urgency=low

  * [d1205f1] Empaquetage
  * [9cf23da] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [ad745ad] Le concept de plage ne s’applique pas à la gestion manuelle.
  * [54e4309] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [696c4b8] Passage au format native

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 03 Jul 2024 13:45:21 +0200

## eole-flag 2.8.0-3

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eole-flag
 VERSION=0.1
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.2
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-flag (2.8.0-3) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [3f080bf] Mise en conformité du dictionnaire.
  * [1cc2d84] Merge branch '2.7.2/master' into 2.8.0/master
  * [9ff38c0] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [94ab1b7] Joël Cuissinat: Update package since “debian/eole/2.8.0-2”

  [ Joël Cuissinat ]

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 08 Oct 2024 14:26:03 +0200

eole-flag (2.8.0-2) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [33af355] Le module ConfigParser n’est pas disponible en python3.
  * [8d5b7f2] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [cf1956c] Benjamin Bohard: Update package since “debian/eole/2.8.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 02 Oct 2024 16:53:26 +0200

eole-flag (2.8.0-1) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [d1205f1] Empaquetage
  * [9cf23da] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [54e4309] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [696c4b8] Passage au format native
  * [135a79e] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [88dc0dd] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [ca6d52a] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [4df94b3] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [566c098] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [a37d14a] Dépendance sur le module icalendar pour le chargement des ics.
  * [964a8d9] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [4ffddde] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [6ed3cb2] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [35856f8] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [8ffa148] Merge branch '2.7.2/master' into dist/eole/2.7.2/master
  * [d6d34cb] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ Daniel Dehennin ]
  * [57f2b78] Merge branch 'master' into dist/eole/2.8.0/master
  * [46d0dc2] Nouvel espace de nommage des tags Debian

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 25 Sep 2024 09:28:47 +0200

## eole-flag 2.8.1-3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-flag
 VERSION=0.1
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-flag (2.8.1-3) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [3f080bf] Mise en conformité du dictionnaire.
  * [1cc2d84] Merge branch '2.7.2/master' into 2.8.0/master
  * [436e70d] Merge branch '2.8.0/master' into 2.8.1/master
  * [2ec2a06] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [f3e0ec7] Benjamin Bohard: Update package since “debian/eole/2.8.1-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Oct 2024 10:14:30 +0200

eole-flag (2.8.1-2) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [33af355] Le module ConfigParser n’est pas disponible en python3.
  * [84ffdc8] Merge branch '2.8.0/master' into 2.8.1/master
  * [30f2c5e] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [9f8f793] Benjamin Bohard: Update package since “debian/eole/2.8.1-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 02 Oct 2024 16:53:01 +0200

eole-flag (2.8.1-1) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [5669def] Prepare release 2.8.1
  * [22bfda0] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [447c156] Benjamin Bohard: Update package since “debian/eole/2.8.0-1”

  [ Benjamin Bohard ]

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 25 Sep 2024 09:33:59 +0200

## eole-flag 2.9.0-3

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eole-flag
 VERSION=0.1
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-flag (2.9.0-3) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [3f080bf] Mise en conformité du dictionnaire.
  * [1cc2d84] Merge branch '2.7.2/master' into 2.8.0/master
  * [436e70d] Merge branch '2.8.0/master' into 2.8.1/master
  * [beabe47] Merge branch '2.8.1/master' into 2.9.0/master
  * [c0233fc] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [4125e4a] Benjamin Bohard: Update package since “debian/eole/2.9.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Oct 2024 10:15:38 +0200

eole-flag (2.9.0-2) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [33af355] Le module ConfigParser n’est pas disponible en python3.
  * [84ffdc8] Merge branch '2.8.0/master' into 2.8.1/master
  * [12e6cba] Merge branch '2.8.1/master' into 2.9.0/master
  * [fb1cfcd] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [9b6c616] Benjamin Bohard: Update package since “debian/eole/2.9.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 02 Oct 2024 16:52:41 +0200

eole-flag (2.9.0-1) eole-2.9.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [56be736] Prepare release 2.8.0
  * [57f2b78] Merge branch 'master' into dist/eole/2.8.0/master
  * [46d0dc2] Nouvel espace de nommage des tags Debian
  * [5669def] Prepare release 2.8.1
  * [22bfda0] Merge branch 'master' into dist/eole/2.8.1/master
  * [e597f90] Prepare release 2.9.0
  * [5609018] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [7ec0584] Benjamin Bohard: Update package since “debian/eole/2.7.2-11”

  [ Benjamin Bohard ]

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 25 Sep 2024 09:34:34 +0200

## eole-flag 2.10.0-5

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eole-flag
 VERSION=0.1
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-flag (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [cc5b5e1] Message d’erreur limité à la partie pertinente pour l’utilisateur final
  * [cb3f2eb] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [d4c2505] Benjamin Bohard: Update package since “debian/eole/2.10.0-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 29 Apr 2025 11:40:33 +0200

eole-flag (2.10.0-4) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [603d1be] readfp => read_file (ref #36677)
  * [d32d666] /var/run => /run (ref #36678)
  * [e58f06b] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [f8cf6ac] Emmanuel Garette: Update package since “debian/eole/2.10.0-3”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 01 Apr 2025 11:22:05 +0200

eole-flag (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [3f080bf] Mise en conformité du dictionnaire.
  * [1cc2d84] Merge branch '2.7.2/master' into 2.8.0/master
  * [436e70d] Merge branch '2.8.0/master' into 2.8.1/master
  * [beabe47] Merge branch '2.8.1/master' into 2.9.0/master
  * [bab873d] Merge branch '2.9.0/master'
  * [5d6722a] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [7ddddae] Benjamin Bohard: Update package since “debian/eole/2.10.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Oct 2024 10:16:24 +0200

eole-flag (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [33af355] Le module ConfigParser n’est pas disponible en python3.
  * [84ffdc8] Merge branch '2.8.0/master' into 2.8.1/master
  * [12e6cba] Merge branch '2.8.1/master' into 2.9.0/master
  * [5ee4b2d] Merge branch '2.9.0/master'
  * [90b4d15] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [98199c4] Benjamin Bohard: Update package since “debian/eole/2.10.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 02 Oct 2024 16:52:25 +0200

eole-flag (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [56be736] Prepare release 2.8.0
  * [57f2b78] Merge branch 'master' into dist/eole/2.8.0/master
  * [46d0dc2] Nouvel espace de nommage des tags Debian
  * [5669def] Prepare release 2.8.1
  * [22bfda0] Merge branch 'master' into dist/eole/2.8.1/master
  * [e597f90] Prepare release 2.9.0
  * [5609018] Merge branch 'master' into dist/eole/2.9.0/master
  * [13fc8a8] Prepare release 2.10.0
  * [9700607] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [53a6a8b] Benjamin Bohard: Update package since “debian/eole/2.7.2-11”

  [ Benjamin Bohard ]

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 25 Sep 2024 09:35:57 +0200

=== debian/control ===
Source: eole-flag
Section: admin
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 11),
 debhelper-compat (= 11)
Standards-Version: 4.5.0
Homepage: https://eole.orion.education.fr/diff/
Vcs-Git: https://dev-eole.ac-dijon.fr/git/<project>
Vcs-Browser: https://dev-eole.ac-dijon.fr/projects/<project>/repository

Package: eole-flag
Architecture: all
Depends: eole-server,
         python3-icalendar,
         ${misc:Depends},
Description: Gestion de drapeaux
 Déclaration de fichiers pouvant servir de drapeaux
 avec support d’une transcription depuis les événements
 d'un fichier.
 .
 Un drapeau est créé au début d’un événement donné puis supprimé
 à la fin de l’événement.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd -peole-flag --name=flag-switch

.PHONY: override_dh_installsystemd
